# Freddy Krueger - New Enemy
### Now V50 compatible! Some issues are reported and are in the middle of getting fixed. I'll be testing multiplayer, but in the meantime, please understand that Freddy could be acting a bit to social. 

This mod adds Freddy Krueger from "Nightmare on Elm Street" as a fully animated and customized enemy. Freddy brings a special sleep mechanic and targets only players that are asleep, leaving the awake ones alone. This is the first build of the mod, with more updates to come. Feel free to provide feedback and report any issues on the official Lethal Company Modding server.

## Freddy's Behavior

Freddy waits for players to sleep walk and then chooses which sleeping player to target. He is invisible, unhearable, and uninteractable to awake players. When a player is close to falling sleep walking, they will hear a lullaby counting to 10 before officially falling asleep.
Player can wake up by taking damage.
Freddy is not limited to indoor environments; he can move seamlessly between indoor and outdoor areas.
Sleep walking is a special state and more on it will be added onto it in the future

- **Asleep**: Freddy will determine which player is in the most trouble and start chasing them, teleporting around at random.
- **Walking**: Freddy will walk towards players at a slow pace, making noise as he moves.
- **Running**: Freddy will run towards players at a fast pace, emitting heavy sounds.
- **Sneaking**: Freddy will attempt to catch players off guard by making no sounds. If seen, he will teleport away.
- **Running with Claw**: Freddy will relentlessly chase a target player at a fast pace until they are dead. This only occurs if the player's sleep level becomes too high.

When Freddy kills a player, their head will be sent flying.

## Known Issues
- The rarity of the enemy doesn't change anything. This is normal and intended and won't change, please refer to Freddy's config on how to make him spawn more often.
- If you find an issue not listed, you can either go talk to me on the LC modding server or fill out [this survey](https://docs.google.com/forms/d/e/1FAIpQLSd4mc1ShKjs_xxfM7oA1fASY8Qx7JUYDIC55YrCCpPns-X74w/viewform?usp=sf_link).
## Credits

- Model: EWTube0 (https://skfb.ly/6ZFt8)
- Most animations: Mixamo (free license)
- Music: Taken from Dead by Daylight and reverbed for better immersion
- Voicelines made by @.dbj. on Discord ! 

No Money is made from this mod creation.
If anyone wants their work removed from the mod, please contact me through my discord or fill [this survey](https://docs.google.com/forms/d/e/1FAIpQLSd4mc1ShKjs_xxfM7oA1fASY8Qx7JUYDIC55YrCCpPns-X74w/viewform?usp=sf_link) and indicate your email so I may contact you.

